Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.extensions
Class JavaMember

    java.lang.Object
      com.novell.xml.xpath.Function
          com.novell.xsl.extensions.JavaMember

Direct Known Subclasses:
  JavaConstructor, JavaMethod

    public abstract class JavaMember

extends Function

The base class for JavaConstructor and JavaMethod It has smarts to try and resolve overloads based on parameter type

Field Summary
`protected static Class` | `classBoolean`
`protected static Class` | `classNumber`
`protected static Class` | `classString`
`protected static Class` | `interfaceExpressionValue`
`protected static Class` | `interfaceNode`

Constructor Summary
`JavaMember(FunctionSignature signature)`

Method Summary
`protected int` | `weightParam(Class formalType, Expression argument)` Calculate the weighting given to the combination of a formal parameter and an actual parameter.

Methods inherited from class com.novell.xml.xpath.Function
`getInstance, getSignature, invoke, isConstant, registerForReset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### interfaceExpressionValue

    protected static final Class interfaceExpressionValue

### classString

    protected static final Class classString

### classNumber

    protected static final Class classNumber

### classBoolean

    protected static final Class classBoolean

### interfaceNode

    protected static final Class interfaceNode

Constructor Detail

### JavaMember

    public JavaMember(FunctionSignature signature)

Method Detail

### weightParam

    protected int weightParam(Class formalType,
                              Expression argument)

  Calculate the weighting given to the combination of a formal parameter and an actual parameter. These weights are added together to try and determine the best signature to use, given an overload based on parameter types.

  Parameters:
    `formalType` - The formal parameter type.
    `argument` - The actual parameter.
  Returns:
    An integer number giving the weighting of the match.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD